From: Reinhard Tartler <siretart@debian.org>
Subject: Unbreak compilation on mips/Linux

On mips/Linux, st.Dev is actually uint32 and requires this cast.

Probably the same on darwin

--- a/util/util_not_uint64.go
+++ /dev/null
@@ -1,14 +0,0 @@
-// +build darwin
-
-package util
-
-import (
-	"syscall"
-)
-
-func makeHardlinkDeviceAndInode(st *syscall.Stat_t) hardlinkDeviceAndInode {
-	return hardlinkDeviceAndInode{
-		device: uint64(st.Dev),
-		inode:  uint64(st.Ino),
-	}
-}
--- a/util/util_uint64.go
+++ b/util/util_uint64.go
@@ -1,4 +1,4 @@
-// +build linux
+// +build linux darwin
 
 package util
 
@@ -8,7 +8,7 @@
 
 func makeHardlinkDeviceAndInode(st *syscall.Stat_t) hardlinkDeviceAndInode {
 	return hardlinkDeviceAndInode{
-		device: st.Dev,
-		inode:  st.Ino,
+		device: uint64(st.Dev),
+		inode:  uint64(st.Ino),
 	}
 }
--- a/bind/mount.go
+++ b/bind/mount.go
@@ -270,7 +270,7 @@
 			}
 			return errors.Wrapf(err, "error checking if %q is mounted", mount.Mountpoint)
 		}
-		if mount.Major != int(unix.Major(st.Dev)) || mount.Minor != int(unix.Minor(st.Dev)) {
+		if mount.Major != int(unix.Major(uint64(st.Dev))) || mount.Minor != int(unix.Minor(uint64(st.Dev))) {
 			logrus.Debugf("%q is apparently not really mounted, skipping", mount.Mountpoint)
 			continue
 		}
